import { type SoloLogger } from './solo-logger.js';
export declare class SoloWinstonLogger implements SoloLogger {
    private developmentMode?;
    private winstonLogger;
    private traceId?;
    private messageGroupMap;
    private readonly MINOR_LINE_SEPARATOR;
    /**
     * @param logLevel - the log level to use
     * @param developmentMode - if true, show full stack traces in error messages
     */
    constructor(logLevel?: string, developmentMode?: boolean | null);
    setDevMode(developmentMode: boolean): void;
    nextTraceId(): void;
    prepMeta(meta?: object | any): object | any;
    showUser(message: any, ...arguments_: any): void;
    showUserError(error: Error | any): void;
    error(message: any, ...arguments_: any): void;
    warn(message: any, ...arguments_: any): void;
    info(message: any, ...arguments_: any): void;
    debug(message: any, ...arguments_: any): void;
    showList(title: string, items?: string[]): boolean;
    showJSON(title: string, object: object): void;
    addMessageGroup(key: string, title: string): void;
    addMessageGroupMessage(key: string, message: string): void;
    showMessageGroup(key: string): void;
    getMessageGroupKeys(): string[];
    showAllMessageGroups(): void;
}
